# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
rust-version = "1.94.1"
name = "geiserx_ts_capabilityversion"
version = "0.21.1"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "tailscale capability version definition"
readme = "README.md"
keywords = [
    "tailscale",
    "capability",
    "version",
]
categories = ["no-std::no-alloc"]
license = "BSD-3-Clause"
repository = "https://github.com/GeiserX/tailscale-rs"

[features]
serde = ["dep:serde"]

[lib]
name = "ts_capabilityversion"
path = "src/lib.rs"

[dependencies.serde]
version = "1"
features = ["derive"]
optional = true

[lints.clippy]
multiple_crate_versions = "allow"
too_many_arguments = "allow"

[lints.clippy.cargo]
level = "warn"
priority = -1

[lints.rust]
closure_returning_async_block = "warn"
let-underscore = "warn"
missing_docs = "warn"

[lints.rustdoc]
bare_urls = "deny"
broken_intra_doc_links = "deny"
invalid_html_tags = "deny"
private_intra_doc_links = "deny"
